Skip to navigation

Get specific immigration case details

Get detailed information for a specific immigration case. Use this to check case status and track process progress. The id path parameter is the case UUID returned from the ‘Create Client Case’ endpoint. Response is enriched with applicant profile, visa type, case status, estimated completion date, process details, and compliance document details.

Token scopes: worker:read

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

case_idstringRequiredformat: "uuid"
Filter by case ID

Response

Successful operation.
dataobjectOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error